import { createDefaultCoreModule, createDefaultSharedCoreModule } from "../../../../../langium/lib/default-module.js";
import { inject } from "../../../../../langium/lib/dependency-injection.js";
import { EmptyFileSystem } from "../../../../../langium/lib/workspace/file-system-provider.js";
import "../../../../../langium/lib/index.js";
import { AbstractMermaidTokenBuilder, CommonValueConverter, MermaidGeneratedSharedModule, PacketGrammarGeneratedModule, __name } from "./chunk-TCCFYFTB.js";
var PacketTokenBuilder = class extends AbstractMermaidTokenBuilder {
	static #e = __name(this, "PacketTokenBuilder");
	constructor() {
		super(["packet"]);
	}
}, PacketModule = { parser: {
	TokenBuilder: /* @__PURE__ */ __name(() => new PacketTokenBuilder(), "TokenBuilder"),
	ValueConverter: /* @__PURE__ */ __name(() => new CommonValueConverter(), "ValueConverter")
} };
function createPacketServices(l = EmptyFileSystem) {
	let u = inject(createDefaultSharedCoreModule(l), MermaidGeneratedSharedModule), d = inject(createDefaultCoreModule({ shared: u }), PacketGrammarGeneratedModule, PacketModule);
	return u.ServiceRegistry.register(d), {
		shared: u,
		Packet: d
	};
}
__name(createPacketServices, "createPacketServices");
export { PacketModule, createPacketServices };
